# Uses of Enum Class
org.eclipse.osgi.container.ModuleContainerAdaptor.ContainerEvent

Packages that use ModuleContainerAdaptor.ContainerEvent
Package
Description
org.eclipse.osgi.container

## Uses of ModuleContainerAdaptor.ContainerEvent in org.eclipse.osgi.container

Subclasses with type arguments of type ModuleContainerAdaptor.ContainerEvent in org.eclipse.osgi.container
Modifier and Type
Class
Description
`static enum`
`ModuleContainerAdaptor.ContainerEvent`
Event types that may be `published` for a container.
Methods in org.eclipse.osgi.container that return ModuleContainerAdaptor.ContainerEvent
Modifier and Type
Method
Description
`static ModuleContainerAdaptor.ContainerEvent`
ModuleContainerAdaptor.ContainerEvent.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleContainerAdaptor.ContainerEvent[]`
ModuleContainerAdaptor.ContainerEvent.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`ModuleContainerAdaptor.ContainerEvent`
SystemModule.`waitForStop(long timeout)`
Waits until the module container has stopped.
Methods in org.eclipse.osgi.container with parameters of type ModuleContainerAdaptor.ContainerEvent
Modifier and Type
Method
Description
`abstract void`
ModuleContainerAdaptor.`publishContainerEvent(ModuleContainerAdaptor.ContainerEvent type, Module module, Throwable error, FrameworkListener... listeners)`
Publishes the specified container event.